searchNodes=[{"doc":"","ref":"Driver8.html","title":"Driver8","type":"module"},{"doc":"Returns a specification to start this module under a supervisor.See Supervisor.","ref":"Driver8.html#child_spec/1","title":"Driver8.child_spec/1","type":"function"},{"doc":"Starts a Driver8 process linked to the current process (to be used as a part of supervision tree).Once process is started it will register itself with default name Driver8. This name is used by Driver8.Plug to call for request handling.Options:name- value used for name registration, if not passed defaults toDriver8`","ref":"Driver8.html#start_link/1","title":"Driver8.start_link/1","type":"function"},{"doc":"Plug that takes care of all endpoints related to wire protocol. All handling logic is delegated to a GenServer process registered under the name Driver8.This plug is designed primarily to be used directly (for example, passed to Plug.Adapters.Cowboy).","ref":"Driver8.Plug.html","title":"Driver8.Plug","type":"module"},{"doc":"Callback implementation for Plug.call/2.","ref":"Driver8.Plug.html#call/2","title":"Driver8.Plug.call/2","type":"function"},{"doc":"Callback implementation for Plug.init/1.","ref":"Driver8.Plug.html#init/1","title":"Driver8.Plug.init/1","type":"function"},{"doc":"This module covers values and structures from the webdriver spec","ref":"Driver8.WireProtocol.html","title":"Driver8.WireProtocol","type":"module"},{"doc":"Send error response stating that session_id client is trying to use cannot be found (was closed due to timeout, for example)","ref":"Driver8.WireProtocol.html#no_such_session/1","title":"Driver8.WireProtocol.no_such_session/1","type":"function"},{"doc":"Utility method that does exactly that: sends json response and halts current connection processing","ref":"Driver8.WireProtocol.html#send_json_and_halt/2","title":"Driver8.WireProtocol.send_json_and_halt/2","type":"function"},{"doc":"Utility method that does exactly that: sends json response and halts current connection processing","ref":"Driver8.WireProtocol.html#send_json_and_halt/3","title":"Driver8.WireProtocol.send_json_and_halt/3","type":"function"},{"doc":"Send error response stating that driver was not able to create a new session","ref":"Driver8.WireProtocol.html#session_not_created/1","title":"Driver8.WireProtocol.session_not_created/1","type":"function"},{"doc":"Send success response for given session_id and passing along return value (if any)","ref":"Driver8.WireProtocol.html#success/2","title":"Driver8.WireProtocol.success/2","type":"function"},{"doc":"Send error response stating that driver encountered an unexpected error (with stacktrace, if possible)","ref":"Driver8.WireProtocol.html#unhandled_error/3","title":"Driver8.WireProtocol.unhandled_error/3","type":"function"},{"doc":"Send error response stating that driver does not understand this particular command","ref":"Driver8.WireProtocol.html#unknown_command/2","title":"Driver8.WireProtocol.unknown_command/2","type":"function"},{"doc":"Driver8Best choice for writing a WebDriver remote endDriver8 provides everything you need to build a Webdriver extension. This is not a wrapper for your Selenium tests, but a basis for Remote end. Similar to what Appium does for Mobile testing, you can create your own extension and use it via standard W3C Webdriver wire protocol.","ref":"readme.html","title":"Driver8","type":"extras"},{"doc":"You can give the Driver8 a try without adding any functionality. Driver8 has two components:Driver8.Plug - Plug that takes care of capturing REST requests to your driverDriver8 - Main process (in a form of GenServer) that handles the requests passed to it by Driver8.Plug or any other process.To bootstrap Driver8 application you will need a http server. For this demo we will use Cowboy server. Run mix new demo to create a new mix application called demo. Switch to your demo folder cd demo. Change your mix.exs to look like this (project section should already look like this, you simply need to adjust application and deps sections): defmodule Demo.MixProject do use Mix.Project def project do [ app: :demo, version: &quot;0.1.0&quot;, elixir: &quot;~&gt; 1.10&quot;, start_permanent: Mix.env() == :prod, deps: deps() ] end def application do [ extra_applications: [:logger, :cowboy, :plug, :jason, :eex], mod: {Demo, []}, env: [ port: 8085 ] ] end defp deps do [ {:httpoison, &quot;~&gt; 1.6&quot;}, {:plug_cowboy, &quot;~&gt; 2.0&quot;}, {:driver8, &quot;~&gt; 0.1&quot;} ] end endNow update your main module Demo (found in lib/demo.ex) to look like this: defmodule Demo do use Application def start(_type, _args) do children = [ Plug.Adapters.Cowboy.child_spec( scheme: :http, plug: Driver8.Plug, options: [ port: 8085 ] ), Driver8 ] Supervisor.start_link(children, [strategy: :one_for_one, name: Demo.Supervisor]) end endAfter that you need to get dependencies by running mix deps.get. Now you can start application by running iex -S mix. If all goes according to plan then after you open your browser and point it at [http://localhost:8085/] you should see a greeting message similar to this: You are using Driver 8 (elixir) 0.1.2. Another route that should work is [http://localhost:8085/status]. It should return you a json with a message and ready status of the driver process.Congrats, you are running you very own webdriver extension! It can handle session creation, but that is about it. So let's make it a bit more interesting.","ref":"readme.html#getting-started","title":"Driver8 - Getting started","type":"extras"},{"doc":"...","ref":"readme.html#adding-a-simple-extension","title":"Driver8 - Adding a simple extension","type":"extras"}]